
From: Matt Mackall <mpm@selenic.com>

Point XFS qsort at lib/sort in a way that makes it happy.

Signed-off-by: Matt Mackall <mpm@selenic.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/xfs/linux-2.6/xfs_linux.h |    3 +++
 1 files changed, 3 insertions(+)

diff -puN fs/xfs/linux-2.6/xfs_linux.h~lib-sort-replace-qsort-in-xfs fs/xfs/linux-2.6/xfs_linux.h
--- 25/fs/xfs/linux-2.6/xfs_linux.h~lib-sort-replace-qsort-in-xfs	2005-02-04 13:00:59.166563976 -0800
+++ 25-akpm/fs/xfs/linux-2.6/xfs_linux.h	2005-02-04 13:04:06.161136480 -0800
@@ -88,6 +88,7 @@
 #include <linux/list.h>
 #include <linux/proc_fs.h>
 #include <linux/version.h>
+#include <linux/sort.h>
 
 #include <asm/page.h>
 #include <asm/div64.h>
@@ -368,4 +369,6 @@ static inline __uint64_t roundup_64(__ui
 	return(x * y);
 }
 
+#define qsort(a, n, s, cmp) sort(a, n, s, cmp, NULL)
+
 #endif /* __XFS_LINUX__ */
_
